PHP Version: 5.6
Complexity: easy
Is Regression: No
Sprint Focus:
Subject: Invalid SQL: ProcessedFileChecksumUpdate compares BLOB with INTEGER column
Description

The following statement is performed during the 7.4-dev Upgrade Wizard:

SELECT COUNT(*) FROM "sys_file_processedfile" LEFT JOIN "sys_registry" ON "entry_key"="sys_file_processedfile"."uid"
AND "entry_namespace"='ProcessedFileChecksumUpdate' WHERE ("entry_key" IS NULL AND
"sys_file_processedfile"."identifier" <> '') OR "sys_file_processedfile"."width" IS NULL

This query compares a BLOB field with an INTEGER field without doing an explicit cast. This is fine on MySQL but fails on DBAL
Installations, i.e. running PostgreSQL.

Associated revisions
Revision acdca0a6 - 2015-07-20 19:27 - Morton Jonuschat

[BUGFIX] Make ProcessedFileChecksumUpdate compatible with DBAL

Use explicit CAST statements in the SQL queries performed by the
updater to allow other DBMS to compare a VARCHAR with an INT field.

The SQLparser has been extended to support CAST statements as part
of a JOIN clause.

Resolves: #67708
Related: #66614
Releases: master
Reviewed-on: http://review.typo3.org/40576
Reviewed-by: Markus Klein <markus.klein@typo3.org>
Tested-by: Andreas Fernandez <typo3@scripting-base.de>
History
#1 - 2015-06-23 23:03 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40576

#2 - 2015-07-06 11:02 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40576

#3 - 2015-07-09 21:38 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40576

#4 - 2015-07-13 19:40 - Susanne Moog
- Category changed from Install Tool to 7 Install Improvements

#5 - 2015-07-20 19:28 - Morton Jonuschat
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:acdca0a628d736af9143bd9ce90725bd119b3651.
